<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');


if($_SESSION['entrada']['NumEntrada']) {

	include('librerias/fotos-documento.php');
	//20-8-2020 detectamos que en un entorno multiempresa hay que separar las fotos, por eso el ultimo parametro añade la empresa
	$fotosEntrada=new FotosDocumento('entradas',$_SESSION['entrada']['NumEntrada'],$_SESSION['entrada']['Empresa']);
	
	if($_POST['borrarfoto']) {
		
		$fotosEntrada->borraFoto($_POST['nombreArchivo']);
	
	}
	
	if($_FILES['archivo']['name']) {
		
		if( $fotosEntrada->grabaFoto($_FILES['archivo']) ) {
					
			?><p>Nueva fotografía subida correctamente.</p><?php
			
		}
		else {
			?><script>alert('ERROR: No pudo subirse la fotografía.',null,'error')</script><?php
		}
			
	}
	
	$fotosSubidas=$fotosEntrada->fotosSubidas();
	$contadorSubidas=count($fotosSubidas);



	?>
	
	<h2>Entrada de Mercancía Nº <?php echo $_SESSION['entrada']['NumEntrada']; ?></h2>
	
	<table class="tablaFormateada anchoMaximo desplazamientoSuperior">
	<tr>
		<?php if(count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
		<th>Fecha</th>
		<th>Régimen</th>
		<th>Cliente</th>
		<th>Nombre Cliente</th>
		<th>Ref. Cliente</th>
		<th>Tipo Entrada</th>
		<th>Documento</th>
		<th>Expedidor</th>
	</tr>
	<tr>
		<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['entrada']['Empresa']; ?></td><?php } ?>
		<td><?php echo fechaNacional($_SESSION['entrada']['FechaEntrada']); ?></td>
		<td><?php echo $_SESSION['entrada']['Regimen']; ?></td>
		<td><?php echo $_SESSION['entrada']['ClientePropietario']; ?></td>
		<td><?php echo $_SESSION['entrada']['NombreClientePropietario']; ?></td>
		<td><?php echo $_SESSION['entrada']['ReferenciaCliente']; ?></td>
		<td><?php echo $_SESSION['entrada']['TipoEntrada']; ?></td>
		<td><?php echo $_SESSION['entrada']['TipoDocumento']; ?> <?php echo $_SESSION['entrada']['NumeroDocumento']; ?></td>
		<td><?php echo $_SESSION['entrada']['Expedidor']; ?></td>
	  </tr>
	</table>
	
	<form action="" method="post" enctype="multipart/form-data" name="formularioFotos" id="formularioFotos">
	
    	<?php if( $_SESSION['entrada']['Estado']=='Iniciada' ) { ?> 
        <div id="filescontainer">
        <div id="filecontainer1" class="fileUpload btn btn-primary">
            <img src="<?php echo DIR_IMAGENES; ?>/botones/camera-open.png" style="margin-top:20px" border="0">
            <input type="file" name="archivo" id="archivo" onChange="subirFoto();" accept="image/*" capture="camera" class="upload" />
        </div>
        </div>
        <?php } ?>
                
        <div id="popupFoto" class="popupScroll" style="display:none"></div>
        <div id="popupFotoContenido" class="popupContenidoScroll" style="display:none;padding:20px">
        	<img src="" id="fotoGrande" style="max-width:100%" class="cerrable"/>
            <input id="nombreArchivo" name="nombreArchivo" type="hidden" value="" />
            
            <input id="borrarfoto" name="borrarfoto" type="hidden" value="" />
            <p><?php if( $_SESSION['entrada']['Estado']=='Iniciada' ) { ?><img name="botonBorrar" id="botonBorrar" src="<?php echo DIR_IMAGENES; ?>/papelera.png" style="float:right;width:40px;height:40px;margin-top:10px;margin-left:-100px;" border="0"/><?php } ?><input type="button" id="boton" name="boton" value="Cerrar" class="campoRedondeado boton cerrable" style="width:150px" /></p>
            
        </div>
                
    </form>
    
    
    <?php
	
	if($contadorSubidas>0) {
	
		?>
		<p>Fotografías grabadas:</p>
        
        <div class="miniaturas-contenedor">
        <?php
		foreach($fotosSubidas as $foto) {
			?><div class="miniaturas-caja"><img src="<?php echo $fotosEntrada->rutaHtml."/".$foto; ?>" class="miniatura selectorFotoDinamica" archivo="<?php echo $foto; ?>"></div><?php
		}
		?>
        </div>
        <?php
		
	}
	
	?>
	
	<script>
	
	function subirFoto() {
	
		$('#popupCargando').show();
		$('#formularioFotos').submit();
	}
	
	$(document).ready(function() {
	
		$(document).on('click','.selectorFotoDinamica',function(){
			$('#fotoGrande').attr('src',$(this).attr('src'));
			$('#nombreArchivo').val($(this).attr('archivo'));
			$('#popupFoto').fadeIn();
			$('#popupFotoContenido').fadeIn();
			
		});
					
		$(document).on('click','.cerrable',function(){
			$('#popupFoto').hide();
			$('#popupFotoContenido').hide();
		});
		
		$('#botonBorrar').on('click',function(){
			confirm('Se va a proceder a borrar esta fotografía.<br>¿Deseas continuar?','advertencia')
			.done(function(){
				$('#borrarfoto').val(1);
				$("#popupCargando").show();
				$('#formularioFotos').submit();
			});
		});
		
		$('#botonLectura').on("click",function(e){
		
			e.preventDefault();
			$("#popupCargando").show();
			window.location='entrada-mercancia-gs1-proceso.php';
		});
		
	});
	
	</script>
	
	<?php
	
}
else {
	?><p class="error">Error, no consta ninguna entrada a la que asociar fotografías.</p><?php
}

$pantallaFotos=true;

include($rutaPhp.$rutaHtml.'/maqueta/menu-entrada-mercancia-gs1.php');
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>